Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.engine.api.script.eventadapter
Class GridEventAdapter

    java.lang.Object
      org.eclipse.birt.report.engine.api.script.eventadapter.GridEventAdapter

All Implemented Interfaces:
  IGridEventHandler

    public class GridEventAdapter

extends java.lang.Object
implements IGridEventHandler

Default (empty) implementation of the IGridEventHandler interface

Constructor Summary
`GridEventAdapter()`

Method Summary
`void` | `onCreate(IGridInstance grid, IReportContext reportContext)` Handle the onCreate event
`void` | `onPageBreak(IGridInstance grid, IReportContext reportContext)` Handle the onPageBreak event
`void` | `onPrepare(IGrid grid, IReportContext reportContext)` Handle the onPrepare event
`void` | `onRender(IGridInstance grid, IReportContext reportContext)` Handle the onRender event

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GridEventAdapter

    public GridEventAdapter()

Method Detail

### onPrepare

    public void onPrepare(IGrid grid,
                          IReportContext reportContext)
                   throws ScriptException

  Description copied from interface: `IGridEventHandler`
  Handle the onPrepare event

  Specified by:
    `onPrepare` in interface `IGridEventHandler`
  Throws:
    `ScriptException`

### onCreate

    public void onCreate(IGridInstance grid,
                         IReportContext reportContext)
                  throws ScriptException

  Description copied from interface: `IGridEventHandler`
  Handle the onCreate event

  Specified by:
    `onCreate` in interface `IGridEventHandler`
  Throws:
    `ScriptException`

### onRender

    public void onRender(IGridInstance grid,
                         IReportContext reportContext)
                  throws ScriptException

  Description copied from interface: `IGridEventHandler`
  Handle the onRender event

  Specified by:
    `onRender` in interface `IGridEventHandler`
  Throws:
    `ScriptException`

### onPageBreak

    public void onPageBreak(IGridInstance grid,
                            IReportContext reportContext)
                     throws ScriptException

  Description copied from interface: `IGridEventHandler`
  Handle the onPageBreak event

  Specified by:
    `onPageBreak` in interface `IGridEventHandler`
  Throws:
    `ScriptException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.